Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.pdf.SplitFileResult Class Reference

## Public Member Functions
| SplitFileResult ()
| Constructor.
| SplitFileResult (String before_splitting_file_name, WStringArray after_split_files_paths, int split_file_state)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
WStringArray | getAfter_split_files_paths ()
| Get an array of strings used to represent the paths of multiple PDF documents generated by splitting. More...
String | getBefore_splitting_file_name ()
| Get a string value used to represent the original PDF file name before splitting. More...
int | getSplit_file_state ()
| Get an enumeration value used to represent the status of the PDF documents generated by splitting. More...
void | setAfter_split_files_paths (WStringArray value)
| Set an array of strings used to represent the paths of multiple PDF documents generated by splitting. More...
void | setBefore_splitting_file_name (String value)
| Set a string value used to represent the original PDF file name before splitting. More...
void | setSplit_file_state (int value)
| Set an enumeration value used to represent the status of the PDF documents generated by splitting. More...

## Static Public Attributes
static final int | e_SplitFileErrAccessDeny = 3
| The state is failed due to file access being denied. More...
static final int | e_SplitFileErrFileExist = 2
| The state is failed due to file exist. More...
static final int | e_SplitFileErrSizeTooSmall = 1
| The state is failed due to file size being too small. More...
static final int | e_SplitFileSuccess = 0
| The state is split successfully.

## Detailed Description

This class represents result information of the PDF document generated by splitting.

## Constructor & Destructor Documentation

## ◆ SplitFileResult()

com.foxit.sdk.pdf.SplitFileResult.SplitFileResult | ( | String | before_splitting_file_name,
|  | WStringArray | after_split_files_paths,
|  | int | split_file_state
| ) |  |

Constructor, with parameters.

Parameters

  [in] | before_splitting_file_name | A string value used to represent the original PDF file name before splitting.
  [in] | after_split_files_paths | An array of strings used to represent the paths of multiple PDF documents generated by splitting.
  [in] | split_file_state | An enumeration value used to represent the status of the PDF documents generated by splitting.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.SplitFileResult.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getAfter_split_files_paths()

com.foxit.sdk.pdf.SplitFileResult.getAfter_split_files_paths | ( |  | ) |

Get an array of strings used to represent the paths of multiple PDF documents generated by splitting.

Returns
  An array of strings used to represent the paths of multiple PDF documents generated by splitting.

## ◆ getBefore_splitting_file_name()

com.foxit.sdk.pdf.SplitFileResult.getBefore_splitting_file_name | ( |  | ) |

Get a string value used to represent the original PDF file name before splitting.

Returns
  A string value used to represent the original PDF file name before splitting.

## ◆ getSplit_file_state()

com.foxit.sdk.pdf.SplitFileResult.getSplit_file_state | ( |  | ) |

Get an enumeration value used to represent the status of the PDF documents generated by splitting.

Returns
  An enumeration value used to represent the status of the PDF documents generated by splitting.

## ◆ setAfter_split_files_paths()

com.foxit.sdk.pdf.SplitFileResult.setAfter_split_files_paths | ( | WStringArray | value | ) |

Set an array of strings used to represent the paths of multiple PDF documents generated by splitting.

Parameters

  [in] | value | An array of strings used to represent the paths of multiple PDF documents generated by splitting.

Returns
  None.

## ◆ setBefore_splitting_file_name()

com.foxit.sdk.pdf.SplitFileResult.setBefore_splitting_file_name | ( | String | value | ) |

Set a string value used to represent the original PDF file name before splitting.

Parameters

  [in] | value | A string value used to represent the original PDF file name before splitting.

Returns
  None.

## ◆ setSplit_file_state()

com.foxit.sdk.pdf.SplitFileResult.setSplit_file_state | ( | int | value | ) |

Set an enumeration value used to represent the status of the PDF documents generated by splitting.

Parameters

  [in] | value | An enumeration value used to represent the status of the PDF documents generated by splitting.

Returns
  None.

## Member Data Documentation

## ◆ e_SplitFileErrAccessDeny

final int com.foxit.sdk.pdf.SplitFileResult.e_SplitFileErrAccessDeny = 3
| static

The state is failed due to file access being denied.

@detail If the PDF document to be split is denied access, then this state will be returned in the file split result.

The state is failed due to file access being denied.

## ◆ e_SplitFileErrFileExist

final int com.foxit.sdk.pdf.SplitFileResult.e_SplitFileErrFileExist = 2
| static

The state is failed due to file exist.

@detail If a PDF document generated by splitting already exists, and the value of is_overwrite in the object of SplitOutputSettingData is set to false, then this state will be returned in the file split result.

## ◆ e_SplitFileErrSizeTooSmall

final int com.foxit.sdk.pdf.SplitFileResult.e_SplitFileErrSizeTooSmall = 1
| static

The state is failed due to file size being too small.

@detail If the file size of the PDF document to be split is smaller than the value of parameter max_file_size in function , then this state will be returned in the file split result.